#pragma once

#include <ArmarXCore/core/PackagePath.h>

#include <RobotAPI/libraries/aron/core/aron_conversions.h>

// arondto forward declarations
namespace armarx::arondto
{
    class PackagePath;
}

namespace armarx::aron::packagepath
{

    void fromAron(const arondto::PackagePath& dto, PackagePath& bo);
    void toAron(arondto::PackagePath& dto, const PackagePath& bo);

} // namespace armarx::aron::packagepath

namespace armarx::aron
{
    using packagepath::fromAron;
    using packagepath::toAron;
} // namespace armarx::aron

namespace armarx
{
    using aron::packagepath::fromAron;
    using aron::packagepath::toAron;
} // namespace armarx
